Bug 837366 - Take into consideration services when deleting replicas
Take into consideration services when deleting replicas
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.0
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
IDM QE LIST
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-03 11:58 EDT by Dmitri Pal
Modified: 2014-09-23 20:02 EDT (History)
4 users (show)

See Also:
Fixed In Version: ipa-3.2.1-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:54:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2012-07-03 11:58:16 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/2879

We have the list of services on the replicas in cn=masters. We should take this into consideration when deleting a replica to not leave an installation without a CA or without DNS.

For example, if you have multiple IPA instances and only one has a dogtag CA, if you try to delete the IPA server with a CA we should at least warn. The same goes with DNS.
Comment 2 Rob Crittenden 2013-02-06 16:23:20 EST
Fixed upstream

master: 076775a0f8c9ee0d17b1ed9356f1a8429fc47443

ipa-3-1: 572c3bb1be72d4f6e1d8c8de1a445f70bcf4102e

This will prevent one from deleting the last CA.
Comment 3 Jenny Galipeau 2013-02-12 11:48:20 EST
There is no design page for this and there are no steps to reproduce/ verifiy what was done by development.  Please add to this bugzilla
Comment 4 Ana Krivokapic 2013-02-13 05:37:39 EST
Steps to verify:

A. For CA

    Install IPA server
    Create a replica without CA
    Try to delete the server (ipa-replica-manage del server.example.com) 

Deletion should abort, as it is not allowed to delete the only CA in the topology.

B. For DNS

    Install IPA server with DNS
    Create a replica without DNS
    Try to delete the server (ipa-replica-manage del server.example.com) 

A message should be displayed, warning the user that this is the last DNS in the topology. User confirmation should be required in order to proceed, unless the --force option is specified.
Comment 7 Scott Poore 2014-01-28 20:39:21 EST
Verified.

Version ::

ipa-server-3.3.3-15.el7.x86_64

Test Results ::

A.  For CA:

I installed Master (master.ipa2.example.test) and setup this replica from that:

[root@rhel7-5 ~]# ipa-replica-install -U --setup-dns --forwarder=$DNSFORWARD \
>     -w Secret123 -p Secret123  /dev/shm/replica-info-$REPLICA1.gpg

[root@rhel7-5 ~]# kinit admin
Password for admin@IPA2.EXAMPLE.TEST: 

But, ipa-replica-manage del doesn't abort:

[root@rhel7-5 ~]# ipa-replica-manage del master.ipa2.example.test
Deleting a master is irreversible.
To reconnect to the remote master you will need to prepare a new replica file
and re-install.
Continue to delete? [no]: 
Deleting this server is not allowed as it would leave your installation without a CA.

B.  For DNS:

[root@rhel7-5 ~]# ipa-replica-install -U --setup-ca -w Secret123 -p Secret123  /dev/shm/replica-info-$REPLICA1.gpg

...

[root@rhel7-5 ~]# kinit admin
Password for admin@IPA2.EXAMPLE.TEST: 

[root@rhel7-5 ~]# ipa-replica-manage del master.ipa2.example.test
Deleting a master is irreversible.
To reconnect to the remote master you will need to prepare a new replica file
and re-install.
Continue to delete? [no]: yes
Deleting this server will leave your installation without a DNS.
Continue to delete? [no]: no
Deletion aborted
Comment 8 Ludek Smid 2014-06-13 08:54:34 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.